JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const message = await client.mailboxes.messages.retrieve('x', {
mailboxId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(message.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
message = client.mailboxes.messages.retrieve(
message_id="x",
mailbox_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(message.data)curl --request GET \
--url https://api.mobilerun.ai/mailboxes/{mailboxId}/messages/{messageId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"attachmentCount": 1,
"attachments": [
{
"contentType": "<string>",
"name": "<string>",
"size": 1
}
],
"fromAddress": "<string>",
"fromName": "<string>",
"hasOtp": true,
"id": "<string>",
"mailboxId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"textBody": "<string>"
}
}{
"error": "<string>"
}Mailbox Messages
Get a mailbox message
GET
/
mailboxes
/
{mailboxId}
/
messages
/
{messageId}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const message = await client.mailboxes.messages.retrieve('x', {
mailboxId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(message.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
message = client.mailboxes.messages.retrieve(
message_id="x",
mailbox_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(message.data)Was this page helpful?
⌘I